Subject: [Int-area] Re: WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels
From: "Templin (US), Fred L" <[email-masked]>
To: Ron Bonica <[email-masked]>, "Templin (US), Fred L" <Fred.L.Templin=[email-masked]>, "Juan Carlos Zuniga (juzuniga)" <[email-masked]>, Internet Area <[email-masked]>
Date: Fri, 8 Aug 2025 16:23:33 +0000
List-Id: IETF Internet Area WG Mailing List <int-area.ietf.org>

Hi Ron, I think it is more than just a corner case since any IPv6 interface with a
configurable MTU could be (mis-)configured to a size as small as 1280. But, I
will let Joe address the larger question.

Thank you - Fred

From: Ron Bonica <[email-masked]>
Sent: Friday, August 08, 2025 9:10 AM
To: Templin (US), Fred L <Fred.L.Templin=[email-masked]>; Templin (US), Fred L <[email-masked]>; Juan Carlos Zuniga (juzuniga) <[email-masked]>; Internet Area <[email-masked]>
Subject: [EXTERNAL] Re: WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels

EXT email: be mindful of links/attachments.

Fred,

Is the value of this document limited to a discussion of fragmentation in a corner case where an IPv6 network has links with MTUs between 1280 and 1500?

If so, the community might be better served by a very short document that addresses that issue head on.

                                                                  Ron

Juniper Business Use Only

________________________________
From: Templin (US), Fred L <Fred.L.Templin=[email-masked]<mailto:Fred.L.Templin=[email-masked]>>
Sent: Thursday, August 7, 2025 4:15 PM
To: Ron Bonica <[email-masked]<mailto:[email-masked]>>; Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>; Juan Carlos Zuniga (juzuniga) <[email-masked]<mailto:[email-masked]>>; Internet Area <[email-masked]<mailto:[email-masked]>>
Subject: RE: WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels

[External Email. Be cautious of content]

Ron, Section 3.6 of the tunnels draft I think speaks directly to the need for fragmentation

in a way that should be observed by all tunneling specifications. But to put more words to

it (and focusing only on IPv6) the IPv6 minMTU is only 1280 - not 1500. So, for IPv6-in-IPv6

tunnels when the path MTU is at or near the minimum, fragmentation becomes essential.

This agrees with RFC2473.

Many tunneling protocols live by "grace" and assume 1500 everywhere. But, robust

tunneling protocols need to live by the "law", and the law says 1280.

Thank you - Fred

From: Ron Bonica <rbonica=[email-masked]<mailto:rbonica=[email-masked]>>
Sent: Thursday, August 07, 2025 12:53 PM
To: Templin (US), Fred L <Fred.L.Templin=[email-masked]<mailto:Fred.L.Templin=[email-masked]>>; Juan Carlos Zuniga (juzuniga) <[email-masked]<mailto:[email-masked]>>; Internet Area <[email-masked]<mailto:[email-masked]>>
Subject: [EXTERNAL] [Int-area] Re: WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels

EXT email: be mindful of links/attachments.

Inline........

Juniper Business Use Only

________________________________

From: Templin (US), Fred L <Fred.L.Templin=[email-masked]<mailto:Fred.L.Templin=[email-masked]>>
Sent: Thursday, August 7, 2025 2:45 PM
To: Ron Bonica <[email-masked]<mailto:[email-masked]>>; Juan Carlos Zuniga (juzuniga) <[email-masked]<mailto:[email-masked]>>; Internet Area <[email-masked]<mailto:[email-masked]>>
Subject: RE: WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels

[External Email. Be cautious of content]

Hi Ron,

It can and should change behaviors regarding the essential nature of fragmentation and reassembly for tunnels.

[RB] I didn't get that part. Can you explain how?

That is a large part of why my drafts always combine encapsulation with fragmentation and also why I published "Fragmentation Revisited". I think the document should remain in IETF channels.

Thank you - Fred

From: Ron Bonica <rbonica=[email-masked]<mailto:rbonica=[email-masked]>>
Sent: Thursday, August 07, 2025 11:31 AM
To: Juan Carlos Zuniga (juzuniga) <juzuniga=[email-masked]<mailto:juzuniga=[email-masked]>>; Internet Area <[email-masked]<mailto:[email-masked]>>
Subject: [EXTERNAL] [Int-area] Re: WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels

EXT email: be mindful of links/attachments.

Folks,

This is an excellent overview of tunnel technology. However, I wonder if the publication of this draft will change anyone's behavior. If not, I wonder if the IETF stream is the right place for this document. Maybe the independent stream is more appropriate? Maybe the Internet Protocol Journal or a blog? Maybe even a chapter in a textbook?

                                                                              Ron

Juniper Business Use Only

________________________________

From: Juan Carlos Zuniga (juzuniga) <juzuniga=[email-masked]<mailto:juzuniga=[email-masked]>>
Sent: Wednesday, August 6, 2025 1:41 AM
To: Internet Area <[email-masked]<mailto:[email-masked]>>
Subject: [Int-area] WGLC for "IP Tunnels in the Internet Architecture" draft-ietf-intarea-tunnels

[External Email. Be cautious of content]

Dear IntArea WG,

The authors of Draft https://datatracker.ietf.org/doc/html/draft-ietf-intarea-tunnels-15<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/draft-ietf-intarea-tunnels-15__;!!NEt6yMaO-gk!AST0foNqNIWijq2ReXb3w8D4mUd3Sx53MI5Quv7oqyWSY5IiiLSevttp23VbJW6DPwYlIGVUjeYKV6KJK2lGv0LA3FpSqC0$> are requesting a WGLC. The latest draft was presented at IETF 123 and we heard some comments from the floor.

Hence, we are starting now a 2-week WG Last Call. We would like to receive at least 5 substantial reviews to move forward.

Please express your support/comments by replying to this email. To compensate for the summer break, the call will end on Friday the 22nd of August (AoE).

Thanks,

Juan-Carlos & Wassim

(IntArea WG chairs)